Hospitality
  1. Payments (New)
Hospitality
  • Admin
    • Authentication
      • Admin Profile
      • Login Admin
      • Admin Logout
      • Forget Password
      • Confirm Reset Password
    • Rooms
      • Get All Rooms
      • Get Room Details
      • Hide Rooms
      • Create Room
      • Update Room
      • Delete Room
    • Apartments
      • Get All Apartments
      • Get Apartment Details
      • Apartment Status
      • Create Apartment
      • Update Apartment
      • Delete Apartment
    • Proposals
      • Fetch All Proposals
      • Delete Proposals
      • Fetch Proposal Details
      • Approve / Decline Proposal
    • Reservations
      • All Reservation
      • Delete Reservations
      • End / Cancel Reservation
      • Add Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Reservation Details
    • Bookings
      • All Booking Reservation
      • Delete Bookings
      • End / Cancel Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Booking Details
    • Receptionists
      • Create Receptionist
      • View All Receptionist
      • Delete Receptionist
    • Dashboard
      • Get Statistics
    • Schedule Calls
      • View All Schedules
      • Update Schedule Calls
    • Coupons
      • Create Coupon Code
      • Get All Coupon Code
      • Deactivate / Activate Coupon Code
      • Delete Coupon
    • Refunds
      • Get All Refunds
      • Issue a Refund
      • Approve Or Decline Refunds
      • Update Refunds
      • Filter Refund
    • Categories
      • Create Categories
      • Get All Room Types
      • Update Room Category
      • Delete Room Category
    • Payments (New)
      • Confirm Payment (New)
        GET
  • Users
    • Proposals
      • Send A Proposal
    • Reservations
      • Get All Reservations
      • Get Active Reservations
      • Extend Reservation
      • Download Invoice
      • Get Reservation Details
    • Authentication
      • User Registration
      • User Profile
      • Forget Password
      • User Login
      • User Logout
      • Update Account
      • Confirm Reset Password
      • Code Verification
    • Payments
      • Verify Payment
      • Payment For Reservation
      • Create Payment Link (New)
      • Confirm Payment (New)
      • Make Payment For Apartment
      • Verify Paid Apartments
    • Coupons
      • Apply Coupons
    • Refunds
      • Issue a Refund
      • Get All Refunds
  • Rooms
    • Get All Rooms
      GET
    • View Room Details
      GET
    • Filter Rooms
      GET
    • Get Avaliable Rooms
      GET
  • Apartments
    • Get All Apartments
      GET
    • View Apartment Details
      GET
    • Get Avaliable Apartments
      GET
  • Categories
    • Get All Categories
  • Owners
    • Authentication
      • Code Verification
      • Get Profile
      • Login
      • User Registration
      • Forget Password
      • Update Account Copy
  • Base Endpiont
    GET
  • Health Check
    GET
  • Schedule A Call
    POST
  • Subscribe Email
    POST
  • Cron Jobs
    GET
  • Payment Webhook
    POST
  • New Request
    GET
  1. Payments (New)

Confirm Payment (New)

GET
/admin/payment/confirm/{reference}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/admin/payment/confirm/rrldkxgg1u' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "status": true,
    "message": "Request data successfully queried",
    "data": {
        "id": 4318764152,
        "domain": "test",
        "status": "abandoned",
        "reference": "rrldkxgg1u",
        "receipt_number": null,
        "amount": 13500,
        "message": null,
        "gateway_response": "The transaction was not completed",
        "paid_at": null,
        "created_at": "2024-10-28T13:43:21.000Z",
        "channel": "card",
        "currency": "NGN",
        "ip_address": "197.211.58.127, 172.70.162.130, 172.31.68.120",
        "metadata": {
            "custom_fields": [
                {
                    "roomId": "671d6b4620e8ec15cbf304e2",
                    "customerId": "66084391607d43e029086221",
                    "customer_name": "Abdullah yahaya",
                    "room_type": "Another Use Case Here 3"
                }
            ]
        },
        "log": null,
        "fees": null,
        "fees_split": null,
        "authorization": {},
        "customer": {
            "id": 26835128,
            "first_name": "Damilare",
            "last_name": "Owolabi",
            "email": "abdullahyahaya46@gmail.com",
            "customer_code": "CUS_klobjvo4jenjoy6",
            "phone": "",
            "metadata": null,
            "risk_action": "default",
            "international_format_phone": null
        },
        "plan": null,
        "split": {},
        "order_id": null,
        "paidAt": null,
        "createdAt": "2024-10-28T13:43:21.000Z",
        "requested_amount": 13500,
        "pos_transaction_data": null,
        "source": null,
        "fees_breakdown": null,
        "connect": null,
        "transaction_date": "2024-10-28T13:43:21.000Z",
        "plan_object": {},
        "subaccount": {}
    }
}
Modified at 2026-03-12 16:47:55
Previous
Delete Room Category
Next
Send A Proposal
Built with